### Hierarchy

- URLSearchParams

## Index

### Methods

- append
- delete
- forEach
- get
- getAll
- has
- set
- sort

## Methods

### append

- append(name: string, value: string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15095

  Appends a specified key/value pair as a new search parameter.

  #### Parameters

  - ##### name: string

  - ##### value: string

  #### Returns void

### delete

- delete(name: string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15099

  Deletes the given search parameter, and its associated value, from the list of all search parameters.

  #### Parameters

  - ##### name: string

  #### Returns void

### forEach

- forEach(callbackfn: function, thisArg?: any): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15117

  #### Parameters

  - ##### callbackfn: function

    - - (value: string, key: string, parent: URLSearchParams): void

      - #### Parameters

        - ##### value: string

        - ##### key: string

        - ##### parent: URLSearchParams

        #### Returns void

  - ##### Optional thisArg: any

  #### Returns void

### get

- get(name: string): string | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15103

  Returns the first value associated to the given search parameter.

  #### Parameters

  - ##### name: string

  #### Returns string | null

### getAll

- getAll(name: string): string[]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15107

  Returns all the values association with a given search parameter.

  #### Parameters

  - ##### name: string

  #### Returns string[]

### has

- has(name: string): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15111

  Returns a Boolean indicating if such a search parameter exists.

  #### Parameters

  - ##### name: string

  #### Returns boolean

### set

- set(name: string, value: string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15115

  Sets the value associated to a given search parameter to the given value. If there were several values, delete the others.

  #### Parameters

  - ##### name: string

  - ##### value: string

  #### Returns void

### sort

- sort(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15116

  #### Returns void

Generated using TypeDoc